Page MenuHomePhabricator

Remove setMethod( 'post' ) from HTMLForm Object
Closed, ResolvedPublic

Description

Per HTMLForm.php, The default form method is post. So remove setMethod which have post parameter.

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptFeb 3 2019, 2:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 487654 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/UserExport@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/487654

Change 487655 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/Cargo@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/487655

Change 487654 merged by jenkins-bot:
[mediawiki/extensions/UserExport@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/487654

Change 487655 merged by jenkins-bot:
[mediawiki/extensions/Cargo@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/487655

Aklapper renamed this task from Remove setMethod( 'post' ) from HTMLForm Object to [UserExport] Remove setMethod( 'post' ) from HTMLForm Object.Feb 23 2019, 6:04 AM
Jayprakash12345 renamed this task from [UserExport] Remove setMethod( 'post' ) from HTMLForm Object to Remove setMethod( 'post' ) from HTMLForm Object.Jan 1 2020, 7:27 PM

Change 561361 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/core@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/561361

Change 561362 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/UserPageViewTracker@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/561362

Change 561363 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/Nuke@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/561363

Change 561364 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/TemplateSandbox@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/561364

Change 561361 merged by jenkins-bot:
[mediawiki/core@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/561361

Anomie added a subscriber: Anomie.Jan 2 2020, 5:31 PM

Why bother? It doesn't hurt anything to set the default.

Change 561363 merged by jenkins-bot:
[mediawiki/extensions/Nuke@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/561363

Change 561362 merged by jenkins-bot:
[mediawiki/extensions/UserPageViewTracker@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/561362

Change 561364 merged by jenkins-bot:
[mediawiki/extensions/TemplateSandbox@master] Remove setMethod( 'post' ) from HTMLForm Object

https://gerrit.wikimedia.org/r/561364

Volker_E closed this task as Resolved.Mar 5 2020, 4:23 AM
Volker_E added a subscriber: Volker_E.